#ifndef MINIMAP_CONTROLLER_HPP_
#define MINIMAP_CONTROLLER_HPP_

#include <Controller/GadgetController/GadgetController.hpp>
#include <RemoteMap/RemoteMap.hpp>

class MinimapController final : public GadgetController
{
private:
    RemoteMap remoteMap;

public:
    MinimapController(ControllerChannel &channel);

    virtual void update() override;
    virtual void initLocal(const ItemStack &stack) override;
    virtual Widget* getWidget() override;
};

#endif